package domain


type AlibabaWdkPlatformCategoryQueryPlatformCategory2Do struct {
    /*
        父类目编码     */
    ParentNo  *string `json:"parent_no,omitempty" `

    /*
        子类目列表     */
    ChildList  *[]AlibabaWdkPlatformCategoryQueryPlatformCategory3Do `json:"child_list,omitempty" `

    /*
        类目编码     */
    CategoryNo  *string `json:"category_no,omitempty" `

    /*
        类目名称     */
    Name  *string `json:"name,omitempty" `

    /*
        淘宝类目id     */
    TaoCategoryId  *int64 `json:"tao_category_id,omitempty" `

    /*
        是否叶子(布尔类型,1=true)     */
    IsLeaf  *bool `json:"is_leaf,omitempty" `

    /*
        淘系类目id(服务)     */
    TaoCategoryCode  *string `json:"tao_category_code,omitempty" `

}

func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do) SetParentNo(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do {
    s.ParentNo = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do) SetChildList(v []AlibabaWdkPlatformCategoryQueryPlatformCategory3Do) *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do {
    s.ChildList = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do) SetCategoryNo(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do {
    s.CategoryNo = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do) SetName(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do {
    s.Name = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do) SetTaoCategoryId(v int64) *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do {
    s.TaoCategoryId = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do) SetIsLeaf(v bool) *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do {
    s.IsLeaf = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do) SetTaoCategoryCode(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategory2Do {
    s.TaoCategoryCode = &v
    return s
}
